Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 104890 - Mailman startup script missing getgrnam()
Mailman startup script missing getgrnam()
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: mailman (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-23 05:54 EDT by Péter, Soós
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-24 10:19:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Péter, Soós 2003-09-23 05:54:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; hu-HU; rv:1.2.1) Gecko/20030225

Description of problem:
Mailman do not starts after an system upgrade from Red Hat Linux 7.3 to 9. The
error messages:

# /etc/init.d/mailman start
Traceback (most recent call last):
  File "/var/mailman/bin/mailmanctl", line 524, in ?
    main()
  File "/var/mailman/bin/mailmanctl", line 319, in main
    check_privs()
  File "/var/mailman/bin/mailmanctl", line 274, in check_privs
    gid = grp.getgrnam(mm_cfg.MAILMAN_GROUP)[2]
KeyError: getgrnam(): name not found


Version-Release number of selected component (if applicable):
mailman-2.1-8

How reproducible:
Always

Steps to Reproduce:
1. /etc/init.d/mailman start
 

Actual Results:  Mailman does not start.

Expected Results:  Mailman starts.

Additional info:
Comment 1 Péter, Soós 2003-09-23 08:53:03 EDT
The solution:

Add these two line to mm_cfg.py:
MAILMAN_USER = 'mailman'
MAILMAN_GROUP = 'mailman'

It'd be good to add these lines to Defaults.py instead of lines
MAILMAN_USER = ''
MAILMAN_GROUP = ''
Comment 2 John Dennis 2003-09-23 10:58:06 EDT
This bug was fixed a long time ago. For RHL 9, it should be available as an
errata. Did you run RHN update? If for some reason that doesn't give you a
working rpm then the latest rpm can be found at ftp.redhat.com which I know for
a fact has this fixed. In the future please include the version of the rpm
you're filing a bug on, it really helps. This can be done via:

rpm -q name-of-rpm
Comment 3 Péter, Soós 2003-09-24 02:53:34 EDT
I reported the rpm version: mailman-2.1-8. See above. I search it at https://rhn.redhat.com/errata/rh9-errata.html, but mailman is not mentioned there, so you should release an errata entry for RH9.
Comment 4 John Dennis 2003-09-24 10:19:44 EDT
The errata is RHBA-2003:179-05. I just checked, for some reason it has not been
pushed to the server. I will follow up and see why.
Comment 5 John Dennis 2003-09-24 15:25:16 EDT
Just to let you know the errata was just pushed. There had been a procedural
error I was unaware of which had prevented it from being pushed earlier. It may
take a little while till it shows up in RHN. My appologies for the confusion.

Note You need to log in before you can comment on or make changes to this bug.